import request from '@/utils/request'

// 查询行业与职业关联列表
export function listMallLinkIndustryCareer(query) {
  return request({
    url: '/mall/mallLinkIndustryCareer/list',
    method: 'get',
    params: query
  })
}

// 查询行业与职业关联详细
export function getMallLinkIndustryCareer(linkId) {
  return request({
    url: '/mall/mallLinkIndustryCareer/' + linkId,
    method: 'get'
  })
}

// 新增行业与职业关联
export function addMallLinkIndustryCareer(data) {
  return request({
    url: '/mall/mallLinkIndustryCareer',
    method: 'post',
    data: data
  })
}

// 修改行业与职业关联
export function updateMallLinkIndustryCareer(data) {
  return request({
    url: '/mall/mallLinkIndustryCareer',
    method: 'put',
    data: data
  })
}

// 删除行业与职业关联
export function delMallLinkIndustryCareer(linkId) {
  return request({
    url: '/mall/mallLinkIndustryCareer/' + linkId,
    method: 'delete'
  })
}
